diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/flow-monitor.h ns-3.44/src/flow-monitor/model/flow-monitor.h
--- ns-3.43/src/flow-monitor/model/flow-monitor.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/flow-monitor.h	2025-03-09 16:55:49.379371200 -0700
@@ -25,13 +25,13 @@
 {
 
 /**
- * \defgroup flow-monitor Flow Monitor
- * \brief  Collect and store performance data from a simulation
+ * @defgroup flow-monitor Flow Monitor
+ * @brief  Collect and store performance data from a simulation
  */
 
 /**
- * \ingroup flow-monitor
- * \brief An object that monitors and reports back packet flows observed during a simulation
+ * @ingroup flow-monitor
+ * @brief An object that monitors and reports back packet flows observed during a simulation
  *
  * The FlowMonitor class is responsible for coordinating efforts
  * regarding probes, and collects end-to-end flow statistics.
@@ -40,7 +40,7 @@
 class FlowMonitor : public Object
 {
   public:
-    /// \brief Structure that represents the measured metrics of an individual packet flow
+    /// @brief Structure that represents the measured metrics of an individual packet flow
     struct FlowStats
     {
         /// Contains the absolute time when the first packet in the flow
@@ -133,24 +133,24 @@
 
     // --- basic methods ---
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
     FlowMonitor();
 
     /// Add a FlowClassifier to be used by the flow monitor.
-    /// \param classifier the FlowClassifier
+    /// @param classifier the FlowClassifier
     void AddFlowClassifier(Ptr<FlowClassifier> classifier);
 
     /// Set the time, counting from the current time, from which to start monitoring flows.
     /// This method overwrites any previous calls to Start()
-    /// \param time delta time to start
+    /// @param time delta time to start
     void Start(const Time& time);
     /// Set the time, counting from the current time, from which to stop monitoring flows.
     /// This method overwrites any previous calls to Stop()
-    /// \param time delta time to stop
+    /// @param time delta time to stop
     void Stop(const Time& time);
     /// Begin monitoring flows *right now*
     void StartRightNow();
@@ -161,48 +161,48 @@
     /// Register a new FlowProbe that will begin monitoring and report
     /// events to this monitor.  This method is normally only used by
     /// FlowProbe implementations.
-    /// \param probe the probe to add
+    /// @param probe the probe to add
     void AddProbe(Ptr<FlowProbe> probe);
 
     /// FlowProbe implementations are supposed to call this method to
     /// report that a new packet was transmitted (but keep in mind the
     /// distinction between a new packet entering the system and a
     /// packet that is already known and is only being forwarded).
-    /// \param probe the reporting probe
-    /// \param flowId flow identification
-    /// \param packetId Packet ID
-    /// \param packetSize packet size
+    /// @param probe the reporting probe
+    /// @param flowId flow identification
+    /// @param packetId Packet ID
+    /// @param packetSize packet size
     void ReportFirstTx(Ptr<FlowProbe> probe,
                        FlowId flowId,
                        FlowPacketId packetId,
                        uint32_t packetSize);
     /// FlowProbe implementations are supposed to call this method to
     /// report that a known packet is being forwarded.
-    /// \param probe the reporting probe
-    /// \param flowId flow identification
-    /// \param packetId Packet ID
-    /// \param packetSize packet size
+    /// @param probe the reporting probe
+    /// @param flowId flow identification
+    /// @param packetId Packet ID
+    /// @param packetSize packet size
     void ReportForwarding(Ptr<FlowProbe> probe,
                           FlowId flowId,
                           FlowPacketId packetId,
                           uint32_t packetSize);
     /// FlowProbe implementations are supposed to call this method to
     /// report that a known packet is being received.
-    /// \param probe the reporting probe
-    /// \param flowId flow identification
-    /// \param packetId Packet ID
-    /// \param packetSize packet size
+    /// @param probe the reporting probe
+    /// @param flowId flow identification
+    /// @param packetId Packet ID
+    /// @param packetSize packet size
     void ReportLastRx(Ptr<FlowProbe> probe,
                       FlowId flowId,
                       FlowPacketId packetId,
                       uint32_t packetSize);
     /// FlowProbe implementations are supposed to call this method to
     /// report that a known packet is being dropped due to some reason.
-    /// \param probe the reporting probe
-    /// \param flowId flow identification
-    /// \param packetId Packet ID
-    /// \param packetSize packet size
-    /// \param reasonCode drop reason code
+    /// @param probe the reporting probe
+    /// @param flowId flow identification
+    /// @param packetId Packet ID
+    /// @param packetSize packet size
+    /// @param reasonCode drop reason code
     void ReportDrop(Ptr<FlowProbe> probe,
                     FlowId flowId,
                     FlowPacketId packetId,
@@ -215,7 +215,7 @@
     /// Check right now for packets that appear to be lost, considering
     /// packets as lost if not seen in the network for a time larger
     /// than maxDelay
-    /// \param maxDelay the max delay for a packet
+    /// @param maxDelay the max delay for a packet
     void CheckForLostPackets(Time maxDelay);
 
     // --- methods to get the results ---
@@ -237,34 +237,34 @@
     /// FlowMonitor has not stopped monitoring yet, you should call
     /// CheckForLostPackets() to make sure all possibly lost packets are
     /// accounted for.
-    /// \returns the flows statistics
+    /// @returns the flows statistics
     const FlowStatsContainer& GetFlowStats() const;
 
     /// Get a list of all FlowProbe's associated with this FlowMonitor
-    /// \returns a list of all the probes
+    /// @returns a list of all the probes
     const FlowProbeContainer& GetAllProbes() const;
 
     /// Serializes the results to an std::ostream in XML format
-    /// \param os the output stream
-    /// \param indent number of spaces to use as base indentation level
-    /// \param enableHistograms if true, include also the histograms in the output
-    /// \param enableProbes if true, include also the per-probe/flow pair statistics in the output
+    /// @param os the output stream
+    /// @param indent number of spaces to use as base indentation level
+    /// @param enableHistograms if true, include also the histograms in the output
+    /// @param enableProbes if true, include also the per-probe/flow pair statistics in the output
     void SerializeToXmlStream(std::ostream& os,
                               uint16_t indent,
                               bool enableHistograms,
                               bool enableProbes);
 
     /// Same as SerializeToXmlStream, but returns the output as a std::string
-    /// \param indent number of spaces to use as base indentation level
-    /// \param enableHistograms if true, include also the histograms in the output
-    /// \param enableProbes if true, include also the per-probe/flow pair statistics in the output
-    /// \return the XML output as string
+    /// @param indent number of spaces to use as base indentation level
+    /// @param enableHistograms if true, include also the histograms in the output
+    /// @param enableProbes if true, include also the per-probe/flow pair statistics in the output
+    /// @return the XML output as string
     std::string SerializeToXmlString(uint16_t indent, bool enableHistograms, bool enableProbes);
 
     /// Same as SerializeToXmlStream, but writes to a file instead
-    /// \param fileName name or path of the output file that will be created
-    /// \param enableHistograms if true, include also the histograms in the output
-    /// \param enableProbes if true, include also the per-probe/flow pair statistics in the output
+    /// @param fileName name or path of the output file that will be created
+    /// @param enableHistograms if true, include also the histograms in the output
+    /// @param enableProbes if true, include also the per-probe/flow pair statistics in the output
     void SerializeToXmlFile(std::string fileName, bool enableHistograms, bool enableProbes);
 
     /// Reset all the statistics
@@ -305,8 +305,8 @@
     Time m_flowInterruptionsMinTime;    //!< Flow interruptions minimum time
 
     /// Get the stats for a given flow
-    /// \param flowId the Flow identification
-    /// \returns the stats of the flow
+    /// @param flowId the Flow identification
+    /// @returns the stats of the flow
     FlowStats& GetStatsForFlow(FlowId flowId);
 
     /// Periodic function to check for lost packets and prune statistics
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/flow-probe.h ns-3.44/src/flow-monitor/model/flow-probe.h
--- ns-3.43/src/flow-monitor/model/flow-probe.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/flow-probe.h	2025-03-09 16:55:49.379371200 -0700
@@ -30,7 +30,7 @@
 {
   protected:
     /// Constructor
-    /// \param flowMonitor the FlowMonitor this probe is associated with
+    /// @param flowMonitor the FlowMonitor this probe is associated with
     FlowProbe(Ptr<FlowMonitor> flowMonitor);
     void DoDispose() override;
 
@@ -42,14 +42,14 @@
     FlowProbe& operator=(const FlowProbe&) = delete;
 
     /// Register this type.
-    /// \return The TypeId.
+    /// @return The TypeId.
     static TypeId GetTypeId();
 
     /// Structure to hold the statistics of a flow
     struct FlowStats
     {
         FlowStats()
-            : delayFromFirstProbeSum(Seconds(0)),
+            : delayFromFirstProbeSum(),
               bytes(0),
               packets(0)
         {
@@ -72,26 +72,26 @@
     typedef std::map<FlowId, FlowStats> Stats;
 
     /// Add a packet data to the flow stats
-    /// \param flowId the flow Identifier
-    /// \param packetSize the packet size
-    /// \param delayFromFirstProbe packet delay
+    /// @param flowId the flow Identifier
+    /// @param packetSize the packet size
+    /// @param delayFromFirstProbe packet delay
     void AddPacketStats(FlowId flowId, uint32_t packetSize, Time delayFromFirstProbe);
     /// Add a packet drop data to the flow stats
-    /// \param flowId the flow Identifier
-    /// \param packetSize the packet size
-    /// \param reasonCode reason code for the drop
+    /// @param flowId the flow Identifier
+    /// @param packetSize the packet size
+    /// @param reasonCode reason code for the drop
     void AddPacketDropStats(FlowId flowId, uint32_t packetSize, uint32_t reasonCode);
 
     /// Get the partial flow statistics stored in this probe.  With this
     /// information you can, for example, find out what is the delay
     /// from the first probe to this one.
-    /// \returns the partial flow statistics
+    /// @returns the partial flow statistics
     Stats GetStats() const;
 
     /// Serializes the results to an std::ostream in XML format
-    /// \param os the output stream
-    /// \param indent number of spaces to use as base indentation level
-    /// \param index FlowProbe index
+    /// @param os the output stream
+    /// @param indent number of spaces to use as base indentation level
+    /// @param index FlowProbe index
     void SerializeToXmlStream(std::ostream& os, uint16_t indent, uint32_t index) const;
 
   protected:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/ipv4-flow-classifier.h ns-3.44/src/flow-monitor/model/ipv4-flow-classifier.h
--- ns-3.43/src/flow-monitor/model/ipv4-flow-classifier.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/ipv4-flow-classifier.h	2025-03-09 16:55:49.379371200 -0700
@@ -40,24 +40,24 @@
 
     Ipv4FlowClassifier();
 
-    /// \brief try to classify the packet into flow-id and packet-id
+    /// @brief try to classify the packet into flow-id and packet-id
     ///
     /// \warning: it must be called only once per packet, from SendOutgoingLogger.
     ///
-    /// \return true if the packet was classified, false if not (i.e. it
+    /// @return true if the packet was classified, false if not (i.e. it
     /// does not appear to be part of a flow).
-    /// \param ipHeader packet's IP header
-    /// \param ipPayload packet's IP payload
-    /// \param out_flowId packet's FlowId
-    /// \param out_packetId packet's identifier
+    /// @param ipHeader packet's IP header
+    /// @param ipPayload packet's IP payload
+    /// @param out_flowId packet's FlowId
+    /// @param out_packetId packet's identifier
     bool Classify(const Ipv4Header& ipHeader,
                   Ptr<const Packet> ipPayload,
                   uint32_t* out_flowId,
                   uint32_t* out_packetId);
 
     /// Searches for the FiveTuple corresponding to the given flowId
-    /// \param flowId the FlowId to search for
-    /// \returns the FiveTuple corresponding to flowId
+    /// @param flowId the FlowId to search for
+    /// @returns the FiveTuple corresponding to flowId
     FiveTuple FindFlow(FlowId flowId) const;
 
     /// Comparator used to sort the vector of DSCP values
@@ -65,18 +65,18 @@
     {
       public:
         /// Comparator function
-        /// \param left left operand
-        /// \param right right operand
-        /// \return true if left DSCP is greater than right DSCP
+        /// @param left left operand
+        /// @param right right operand
+        /// @return true if left DSCP is greater than right DSCP
         bool operator()(std::pair<Ipv4Header::DscpType, uint32_t> left,
                         std::pair<Ipv4Header::DscpType, uint32_t> right);
     };
 
-    /// \brief get the DSCP values of the packets belonging to the flow with the
+    /// @brief get the DSCP values of the packets belonging to the flow with the
     /// given FlowId, sorted in decreasing order of number of packets seen with
     /// that DSCP value
-    /// \param flowId the identifier of the flow of interest
-    /// \returns the vector of DSCP values
+    /// @param flowId the identifier of the flow of interest
+    /// @returns the vector of DSCP values
     std::vector<std::pair<Ipv4Header::DscpType, uint32_t>> GetDscpCounts(FlowId flowId) const;
 
     void SerializeToXmlStream(std::ostream& os, uint16_t indent) const override;
@@ -91,20 +91,20 @@
 };
 
 /**
- * \brief Less than operator.
+ * @brief Less than operator.
  *
- * \param t1 the first operand
- * \param t2 the first operand
- * \returns true if the operands are equal
+ * @param t1 the first operand
+ * @param t2 the first operand
+ * @returns true if the operands are equal
  */
 bool operator<(const Ipv4FlowClassifier::FiveTuple& t1, const Ipv4FlowClassifier::FiveTuple& t2);
 
 /**
- * \brief Equal to operator.
+ * @brief Equal to operator.
  *
- * \param t1 the first operand
- * \param t2 the first operand
- * \returns true if the operands are equal
+ * @param t1 the first operand
+ * @param t2 the first operand
+ * @returns true if the operands are equal
  */
 bool operator==(const Ipv4FlowClassifier::FiveTuple& t1, const Ipv4FlowClassifier::FiveTuple& t2);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/ipv4-flow-probe.cc ns-3.44/src/flow-monitor/model/ipv4-flow-probe.cc
--- ns-3.43/src/flow-monitor/model/ipv4-flow-probe.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/ipv4-flow-probe.cc	2025-03-09 16:55:49.379371200 -0700
@@ -28,9 +28,9 @@
 //////////////////////////////////////
 
 /**
- * \ingroup flow-monitor
+ * @ingroup flow-monitor
  *
- * \brief Tag used to allow a fast identification of the packet
+ * @brief Tag used to allow a fast identification of the packet
  *
  * This tag is added by FlowMonitor when a packet is seen for
  * the first time, and it is then used to classify the packet in
@@ -40,8 +40,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -51,12 +51,12 @@
     void Print(std::ostream& os) const override;
     Ipv4FlowProbeTag();
     /**
-     * \brief Constructor
-     * \param flowId the flow identifier
-     * \param packetId the packet identifier
-     * \param packetSize the packet size
-     * \param src packet source address
-     * \param dst packet destination address
+     * @brief Constructor
+     * @param flowId the flow identifier
+     * @param packetId the packet identifier
+     * @param packetSize the packet size
+     * @param src packet source address
+     * @param dst packet destination address
      */
     Ipv4FlowProbeTag(uint32_t flowId,
                      uint32_t packetId,
@@ -64,44 +64,44 @@
                      Ipv4Address src,
                      Ipv4Address dst);
     /**
-     * \brief Set the flow identifier
-     * \param flowId the flow identifier
+     * @brief Set the flow identifier
+     * @param flowId the flow identifier
      */
     void SetFlowId(uint32_t flowId);
     /**
-     * \brief Set the packet identifier
-     * \param packetId the packet identifier
+     * @brief Set the packet identifier
+     * @param packetId the packet identifier
      */
     void SetPacketId(uint32_t packetId);
     /**
-     * \brief Set the packet size
-     * \param packetSize the packet size
+     * @brief Set the packet size
+     * @param packetSize the packet size
      */
     void SetPacketSize(uint32_t packetSize);
     /**
-     * \brief Set the flow identifier
-     * \returns the flow identifier
+     * @brief Set the flow identifier
+     * @returns the flow identifier
      */
     uint32_t GetFlowId() const;
     /**
-     * \brief Set the packet identifier
-     * \returns the packet identifier
+     * @brief Set the packet identifier
+     * @returns the packet identifier
      */
     uint32_t GetPacketId() const;
     /**
-     * \brief Get the packet size
-     * \returns the packet size
+     * @brief Get the packet size
+     * @returns the packet size
      */
     uint32_t GetPacketSize() const;
     /**
-     * \brief Checks if the addresses stored in tag are matching
+     * @brief Checks if the addresses stored in tag are matching
      * the arguments.
      *
      * This check is important for IP over IP encapsulation.
      *
-     * \param src Source address.
-     * \param dst Destination address.
-     * \returns True if the addresses are matching.
+     * @param src Source address.
+     * @param dst Destination address.
+     * @returns True if the addresses are matching.
      */
     bool IsSrcDstValid(Ipv4Address src, Ipv4Address dst) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/ipv4-flow-probe.h ns-3.44/src/flow-monitor/model/ipv4-flow-probe.h
--- ns-3.43/src/flow-monitor/model/ipv4-flow-probe.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/ipv4-flow-probe.h	2025-03-09 16:55:49.379371200 -0700
@@ -21,8 +21,8 @@
 class FlowMonitor;
 class Node;
 
-/// \ingroup flow-monitor
-/// \brief Class that monitors flows at the IPv4 layer of a Node
+/// @ingroup flow-monitor
+/// @brief Class that monitors flows at the IPv4 layer of a Node
 ///
 /// For each node in the simulation, one instance of the class
 /// Ipv4FlowProbe is created to monitor that node.  Ipv4FlowProbe
@@ -31,18 +31,18 @@
 class Ipv4FlowProbe : public FlowProbe
 {
   public:
-    /// \brief Constructor
-    /// \param monitor the FlowMonitor this probe is associated with
-    /// \param classifier the Ipv4FlowClassifier this probe is associated with
-    /// \param node the Node this probe is associated with
+    /// @brief Constructor
+    /// @param monitor the FlowMonitor this probe is associated with
+    /// @param classifier the Ipv4FlowClassifier this probe is associated with
+    /// @param node the Node this probe is associated with
     Ipv4FlowProbe(Ptr<FlowMonitor> monitor, Ptr<Ipv4FlowClassifier> classifier, Ptr<Node> node);
     ~Ipv4FlowProbe() override;
 
     /// Register this type.
-    /// \return The TypeId.
+    /// @return The TypeId.
     static TypeId GetTypeId();
 
-    /// \brief enumeration of possible reasons why a packet may be dropped
+    /// @brief enumeration of possible reasons why a packet may be dropped
     enum DropReason
     {
         /// Packet dropped due to missing route to the destination
@@ -75,40 +75,40 @@
 
   private:
     /// Log a packet being sent
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param interface outgoing interface
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param interface outgoing interface
     void SendOutgoingLogger(const Ipv4Header& ipHeader,
                             Ptr<const Packet> ipPayload,
                             uint32_t interface);
     /// Log a packet being forwarded
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param interface incoming interface
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param interface incoming interface
     void ForwardLogger(const Ipv4Header& ipHeader, Ptr<const Packet> ipPayload, uint32_t interface);
     /// Log a packet being received by the destination
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param interface incoming interface
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param interface incoming interface
     void ForwardUpLogger(const Ipv4Header& ipHeader,
                          Ptr<const Packet> ipPayload,
                          uint32_t interface);
     /// Log a packet being dropped
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param reason drop reason
-    /// \param ipv4 pointer to the IP object dropping the packet
-    /// \param ifIndex interface index
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param reason drop reason
+    /// @param ipv4 pointer to the IP object dropping the packet
+    /// @param ifIndex interface index
     void DropLogger(const Ipv4Header& ipHeader,
                     Ptr<const Packet> ipPayload,
                     Ipv4L3Protocol::DropReason reason,
                     Ptr<Ipv4> ipv4,
                     uint32_t ifIndex);
     /// Log a packet being dropped by a queue
-    /// \param ipPayload IP payload
+    /// @param ipPayload IP payload
     void QueueDropLogger(Ptr<const Packet> ipPayload);
     /// Log a packet being dropped by a queue disc
-    /// \param item queue disc item
+    /// @param item queue disc item
     void QueueDiscDropLogger(Ptr<const QueueDiscItem> item);
 
     Ptr<Ipv4FlowClassifier> m_classifier; //!< the Ipv4FlowClassifier this probe is associated with
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/ipv6-flow-classifier.h ns-3.44/src/flow-monitor/model/ipv6-flow-classifier.h
--- ns-3.43/src/flow-monitor/model/ipv6-flow-classifier.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/ipv6-flow-classifier.h	2025-03-09 16:55:49.379371200 -0700
@@ -41,24 +41,24 @@
 
     Ipv6FlowClassifier();
 
-    /// \brief try to classify the packet into flow-id and packet-id
+    /// @brief try to classify the packet into flow-id and packet-id
     ///
     /// \warning: it must be called only once per packet, from SendOutgoingLogger.
     ///
-    /// \return true if the packet was classified, false if not (i.e. it
+    /// @return true if the packet was classified, false if not (i.e. it
     /// does not appear to be part of a flow).
-    /// \param ipHeader packet's IP header
-    /// \param ipPayload packet's IP payload
-    /// \param out_flowId packet's FlowId
-    /// \param out_packetId packet's identifier
+    /// @param ipHeader packet's IP header
+    /// @param ipPayload packet's IP payload
+    /// @param out_flowId packet's FlowId
+    /// @param out_packetId packet's identifier
     bool Classify(const Ipv6Header& ipHeader,
                   Ptr<const Packet> ipPayload,
                   uint32_t* out_flowId,
                   uint32_t* out_packetId);
 
     /// Searches for the FiveTuple corresponding to the given flowId
-    /// \param flowId the FlowId to search for
-    /// \returns the FiveTuple corresponding to flowId
+    /// @param flowId the FlowId to search for
+    /// @returns the FiveTuple corresponding to flowId
     FiveTuple FindFlow(FlowId flowId) const;
 
     /// Comparator used to sort the vector of DSCP values
@@ -66,18 +66,18 @@
     {
       public:
         /// Comparator function
-        /// \param left left operand
-        /// \param right right operand
-        /// \return true if left DSCP is greater than right DSCP
+        /// @param left left operand
+        /// @param right right operand
+        /// @return true if left DSCP is greater than right DSCP
         bool operator()(std::pair<Ipv6Header::DscpType, uint32_t> left,
                         std::pair<Ipv6Header::DscpType, uint32_t> right);
     };
 
-    /// \brief get the DSCP values of the packets belonging to the flow with the
+    /// @brief get the DSCP values of the packets belonging to the flow with the
     /// given FlowId, sorted in decreasing order of number of packets seen with
     /// that DSCP value
-    /// \param flowId the identifier of the flow of interest
-    /// \returns the vector of DSCP values
+    /// @param flowId the identifier of the flow of interest
+    /// @returns the vector of DSCP values
     std::vector<std::pair<Ipv6Header::DscpType, uint32_t>> GetDscpCounts(FlowId flowId) const;
 
     void SerializeToXmlStream(std::ostream& os, uint16_t indent) const override;
@@ -92,20 +92,20 @@
 };
 
 /**
- * \brief Less than operator.
+ * @brief Less than operator.
  *
- * \param t1 the first operand
- * \param t2 the first operand
- * \returns true if the operands are equal
+ * @param t1 the first operand
+ * @param t2 the first operand
+ * @returns true if the operands are equal
  */
 bool operator<(const Ipv6FlowClassifier::FiveTuple& t1, const Ipv6FlowClassifier::FiveTuple& t2);
 
 /**
- * \brief Equal to operator.
+ * @brief Equal to operator.
  *
- * \param t1 the first operand
- * \param t2 the first operand
- * \returns true if the operands are equal
+ * @param t1 the first operand
+ * @param t2 the first operand
+ * @returns true if the operands are equal
  */
 bool operator==(const Ipv6FlowClassifier::FiveTuple& t1, const Ipv6FlowClassifier::FiveTuple& t2);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/ipv6-flow-probe.cc ns-3.44/src/flow-monitor/model/ipv6-flow-probe.cc
--- ns-3.43/src/flow-monitor/model/ipv6-flow-probe.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/ipv6-flow-probe.cc	2025-03-09 16:55:49.379371200 -0700
@@ -29,9 +29,9 @@
 //////////////////////////////////////
 
 /**
- * \ingroup flow-monitor
+ * @ingroup flow-monitor
  *
- * \brief Tag used to allow a fast identification of the packet
+ * @brief Tag used to allow a fast identification of the packet
  *
  * This tag is added by FlowMonitor when a packet is seen for
  * the first time, and it is then used to classify the packet in
@@ -41,8 +41,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -52,40 +52,40 @@
     void Print(std::ostream& os) const override;
     Ipv6FlowProbeTag();
     /**
-     * \brief Constructor
-     * \param flowId the flow identifier
-     * \param packetId the packet identifier
-     * \param packetSize the packet size
+     * @brief Constructor
+     * @param flowId the flow identifier
+     * @param packetId the packet identifier
+     * @param packetSize the packet size
      */
     Ipv6FlowProbeTag(uint32_t flowId, uint32_t packetId, uint32_t packetSize);
     /**
-     * \brief Set the flow identifier
-     * \param flowId the flow identifier
+     * @brief Set the flow identifier
+     * @param flowId the flow identifier
      */
     void SetFlowId(uint32_t flowId);
     /**
-     * \brief Set the packet identifier
-     * \param packetId the packet identifier
+     * @brief Set the packet identifier
+     * @param packetId the packet identifier
      */
     void SetPacketId(uint32_t packetId);
     /**
-     * \brief Set the packet size
-     * \param packetSize the packet size
+     * @brief Set the packet size
+     * @param packetSize the packet size
      */
     void SetPacketSize(uint32_t packetSize);
     /**
-     * \brief Set the flow identifier
-     * \returns the flow identifier
+     * @brief Set the flow identifier
+     * @returns the flow identifier
      */
     uint32_t GetFlowId() const;
     /**
-     * \brief Set the packet identifier
-     * \returns the packet identifier
+     * @brief Set the packet identifier
+     * @returns the packet identifier
      */
     uint32_t GetPacketId() const;
     /**
-     * \brief Get the packet size
-     * \returns the packet size
+     * @brief Get the packet size
+     * @returns the packet size
      */
     uint32_t GetPacketSize() const;
 
